List survey targets
curl --request GET \
--url https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/surveys/{surveyId}/targets \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/surveys/{surveyId}/targets"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/surveys/{surveyId}/targets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"nextCursor": "F3UdkoSbpBNrjwP93AX2HQ",
"totalItems": 1
},
"items": [
{
"id": 1,
"surveyId": 123,
"status": "pending",
"identityId": "user123",
"createdAt": "2024-01-01T12:00:00Z",
"updatedAt": "2024-01-01T12:00:00Z",
"targetType": "employees",
"targets": [
{
"entityId": "device_123",
"entityName": "MacBook Pro",
"image": "https://example.com/avatar.jpg",
"uniqueNumber": "EMP-001",
"email": "john.doe@example.com",
"type": "pc",
"relatedIdentities": {
"identityHolder": {
"id": "<string>",
"displayName": "Display Name",
"avatar": "<string>",
"primaryEmail": "primay@email.com"
},
"managerHolder": {
"id": "<string>",
"displayName": "Display Name",
"avatar": "<string>",
"primaryEmail": "primay@email.com"
}
},
"service": {
"id": 1,
"name": "Google",
"uniqueName": "google"
},
"saasAppDetails": {
"id": "123#jessica.jones@addresss.com",
"identityId": "AHF5GF12",
"username": "jessia-jones",
"displayName": "Jessia Jones",
"email": "jessica.jones@address.com",
"roles": [
"Member",
"Admin"
],
"status": "active",
"employeeStatus": "active",
"employeeType": "collaborator",
"employeeManagementType": "system",
"twoFa": true,
"uniqueKey": "unique_key",
"lastActivity": "Mon Jan 24 2022 13:20:31 GMT+0900 (Japan Standard Time)",
"isInactive": false,
"licenses": [
"Basic",
"Basic Plus",
"Pro",
"Business"
],
"workspace": {
"id": 1,
"organizationId": 1,
"serviceId": 1,
"authenType": "api",
"workspaceName": "iggre",
"aggreKey": "iggre",
"lastExecutionStatus": "processing",
"lastExecutionTime": "2020-11-11 10:00:00",
"lastUsedAt": "2020-11-11 10:00:00",
"lastExecutionResultId": "SUCCESS",
"lastExecutionResultCode": 200,
"lastExecutionResultMessage": "NOT_FOUND",
"provisioningCredentialEnabled": false,
"description": "Description of the workspace",
"showDescription": false,
"isCustomWorkspace": false,
"deviceAggregationStatus": "finished",
"service": {
"id": 1,
"name": "Google",
"uniqueName": "google",
"url": "https://google.com",
"isEmployeeMasterService": true,
"adminUrl": "https://admin.google.com/u/0/ac/home",
"userManagementUrl": "https://admin.google.com/u/0/ac/users",
"serviceTopUrl": "https://workspace.google.com/products/admin/",
"guidanceUrl": "https://notion.link/google",
"serviceAlternateUrls": [
"www.slides.google.com",
"www.docs.google.com",
"www.sheets.google.com"
],
"aggreTypes": [
{
"name": "aggregateAll",
"authenTypes": [
{
"name": "oauth",
"requiredAttributes": [
"username",
"password"
],
"optionalAttributes": [
"secretKey"
],
"permittedAttributes": [
"aggreKey"
],
"separatelyUpdatableAttributes": [
"groups"
],
"permissions": [
"read-write",
"read"
],
"variant": "enterprisePlan"
}
]
}
],
"canDeleteAccount": false,
"canDeactivateAccount": false,
"canAggregateSpend": false,
"canAggregateFiles": false,
"canManageFilePermissions": false,
"canOnlyAggregatePublicFiles": false,
"canAggregateDevices": false,
"canPerformMatching": true,
"canProvisionAccount": false,
"isCustomService": false,
"isIdentityProvider": false,
"serviceMeta": {
"id": 1,
"vendorName": "Example Vendor",
"vendorCountryOfOrigin": "Japan",
"termsOfUseUrl": "https://example.com",
"privacyPolicyUrl": "https://example.com",
"dataSecurityPolicyUrl": "https://example.com",
"certifications": [
{
"name": "Example",
"url": "https://example.com"
}
]
},
"logoUrl": "<string>",
"iconColor": "ai"
},
"workspaceMeta": {
"id": 1,
"workspaceId": 1,
"organizationId": 1,
"note": "Example note",
"businessImpactLevel": "low",
"dataStoreRegion": "ap-northeast-1",
"piiEnabled": false,
"pii": "Example note",
"confidentialInfo": "confidential",
"securityImpactLevel": "low",
"vendorName": "Example Vendor",
"vendorRelationship": "Example Vendor Relationship",
"vendorPhone": "12345567890",
"vendorMailAddress": "Example Vendor Mail address"
},
"billingManagers": [
{
"id": 1,
"avatar": "avatar",
"displayName": "Example name",
"primaryEmail": "Example email"
}
],
"peopleInCharge": [
{
"id": 1,
"avatar": "avatar",
"displayName": "Example name",
"primaryEmail": "Example email"
}
],
"creator": {
"id": 1,
"email": "foo.bar@example.com",
"name": "foo.bar",
"location": "jp",
"roles": [
{
"id": 1,
"name": "Admin"
}
],
"status": "active"
},
"accountCount": 123,
"identityProviderWorkspaceId": 123,
"customWorkspaceType": "google_sheet"
},
"identity": {},
"memo": "This account belongs to Jessica",
"relatedIdentities": {
"identityHolder": {
"id": "<string>",
"displayName": "Display Name",
"avatar": "<string>",
"primaryEmail": "primay@email.com"
},
"managerHolder": {
"id": "<string>",
"displayName": "Display Name",
"avatar": "<string>",
"primaryEmail": "primay@email.com"
}
},
"costs": [
{
"amount": 100,
"currency": "usd"
}
],
"alertType": [
"retired_account"
]
},
"deviceDetails": {
"id": 123,
"memo": "foo bar",
"people": {
"id": 1,
"identityId": "I3N5HB4B3G",
"primaryEmail": "foo@gmail.com",
"displayName": "Yamaha Honda",
"avatar": "avatar_url",
"username": "foo",
"type": "employee",
"status": "suspended",
"managementType": "managed",
"employeeType": "full_time_employee",
"employeeStatus": "active",
"suspendedAt": "2021-07-13T19:15:40.000Z",
"createdAt": "2021-07-13T19:15:40.000Z",
"accounts": [
{
"id": "1#foo",
"serviceId": 42,
"serviceUniqueName": "github",
"serviceName": "GitHub",
"workspaceName": "mfi",
"accountKey": "foo@mfi.com",
"serviceIsCustom": false
}
],
"mergedPeople": [
{
"id": 1,
"displayName": "Ron Lee",
"username": "ron.lee",
"primaryEmail": null
}
]
},
"originalPeopleId": 456,
"fields": {
"preset.subtype": "other",
"preset.asset_number": "unique value",
"preset.model_name": "cool gadget",
"custom.custom_text_field": "foo",
"custom.custom_date_field": "2024-01-01",
"custom.custom_number_field": 123,
"custom.custom_dropdown_field": "Option Displayed Value A",
"custom.custom_multi_select_field": [
"Option Displayed Value A",
"Option Displayed Value B"
]
},
"mdmMetadata": {
"workspaceId": 123,
"serviceUniqueName": "jamf",
"url": "https://example.com"
},
"relatedIdentities": {
"identityHolder": {
"id": "<string>",
"displayName": "Display Name",
"avatar": "<string>",
"primaryEmail": "primay@email.com"
},
"managerHolder": {
"id": "<string>",
"displayName": "Display Name",
"avatar": "<string>",
"primaryEmail": "primay@email.com"
}
},
"customFieldsWithMetadata": [
{
"id": 1,
"attributeCode": "custom_text_field",
"attributeName": "Text field",
"value": "foo"
},
{
"id": 2,
"attributeCode": "custom_date_field",
"attributeName": "Date field",
"value": "2024-01-01"
},
{
"id": 3,
"attributeCode": "custom_number_field",
"attributeName": "Number field",
"value": 123
},
{
"id": 4,
"attributeCode": "custom_dropdown_field",
"attributeName": "Dropdown field",
"value": "Option Displayed Value A"
}
]
},
"employeeDetails": {
"employeeStatus": "active",
"employeeType": "full_time_employee",
"firstName": "First Name",
"lastName": "Last Name",
"id": "<string>",
"organizationId": 123,
"peopleId": "<string>",
"managementType": "managed",
"displayName": "Display Name",
"avatar": "<string>",
"primaryEmail": "primay@email.com",
"secondaryEmails": [
"secondary+1@email.com",
"secondary+2@email.com"
],
"companyName": "company name",
"workLocation": "work location",
"department": {
"name": "department name"
},
"serviceCount": 123,
"deviceCount": 123,
"costs": [
{
"amount": 100,
"currency": "usd"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"isManager": true,
"isMock": true,
"isEmailEditable": true,
"hasPresetFieldsUnlinked": true,
"jobTitle": "CTO",
"employeeId": "EMP12345",
"lifecycle": {
"contractStartAt": "2021-01-01",
"contractEndAt": "2021-01-02",
"suspensionStartAt": "2021-01-01",
"suspensionEndAt": "2021-01-03"
},
"manager": {
"id": "<string>",
"displayName": "<string>",
"people": {
"id": 1,
"identityId": "I3N5HB4B3G",
"primaryEmail": "foo@gmail.com",
"displayName": "Yamaha Honda",
"avatar": "avatar_url",
"username": "foo",
"status": "suspended",
"type": "employee"
}
},
"note": "this is a note",
"profileUrl": "https://workspace.url/employee/12345",
"customFields": {
"custom_text_field": "foo",
"custom_date_field": "2024-01-01",
"custom_number_field": 123,
"custom_dropdown_field": "Option Displayed Value A"
},
"customFieldsWithMetadata": [
{
"id": 1,
"attributeCode": "custom_text_field",
"attributeName": "Text field",
"value": "foo"
},
{
"id": 2,
"attributeCode": "custom_date_field",
"attributeName": "Date field",
"value": "2024-01-01"
},
{
"id": 3,
"attributeCode": "custom_number_field",
"attributeName": "Number field",
"value": 123
},
{
"id": 4,
"attributeCode": "custom_dropdown_field",
"attributeName": "Dropdown field",
"value": "Option Displayed Value A"
}
],
"structuresInfo": {
"companies": [
{
"id": 1,
"name": "name"
}
],
"departments": [
{
"id": 1,
"name": "name"
}
],
"locations": [
{
"id": 1,
"name": "name"
}
],
"managers": [
{
"id": "<string>",
"displayName": "<string>",
"primaryEmail": "<string>",
"avatar": "<string>"
}
]
}
}
}
],
"sentAt": "2024-01-01T12:00:00Z",
"openedAt": "2024-01-01T12:00:00Z",
"completedAt": "2024-01-01T12:00:00Z"
}
]
}Surveys
List survey targets
Retrieve a paginated list of targets for a specific survey. Supports search, filtering by department and target status, sorting, and cursor pagination.
GET
/
api
/
v1
/
organizations
/
{organizationId}
/
surveys
/
{surveyId}
/
targets
List survey targets
承認
クエリパラメータ
Number of items to return per page. Default is 50, maximum is 200.
必須範囲:
1 <= x <= 200例:
50
Cursor for pagination. Use the nextCursor from previous response to get next page.
例:
"eyJwYWdlIjoyLCJsaW1pdCI6NTB9"
Field to sort by. Defaults to createdAt.
利用可能なオプション:
createdAt, name, email, department Sort order. Defaults to DESC for createdAt.
利用可能なオプション:
DESC, ASC Search term to filter targets by name, email, department, or device information.
例:
"john"
Filter by department name.
例:
"Engineering"
Filter by survey target status. Accepts multiple options.
利用可能なオプション:
pending, sent, opened, completed 最終更新日 2026年8月24日
このページは役に立ちましたか?
⌘I

